summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Murat D. Kadirov2010-05-11 22:54:22 +0200
committer David Somero2010-05-11 22:54:22 +0200
commitfc7f388fa8ca3480a92755500120c000407739b2 (patch)
treec1bad7a4aa120dc0147ca6d26e18ed536a685914
parentc134097ea66a18340c7d263f225524fc08a9b8eb (diff)
downloadslackbuilds-fc7f388fa8ca3480a92755500120c000407739b2.tar.gz
libraries/perl-xml-libxml-common: Added to 12.1 repository
-rw-r--r--libraries/perl-xml-libxml-common/README3
-rw-r--r--libraries/perl-xml-libxml-common/perl-xml-libxml-common.SlackBuild55
-rw-r--r--libraries/perl-xml-libxml-common/perl-xml-libxml-common.info8
-rw-r--r--libraries/perl-xml-libxml-common/slack-desc19
4 files changed, 85 insertions, 0 deletions
diff --git a/libraries/perl-xml-libxml-common/README b/libraries/perl-xml-libxml-common/README
new file mode 100644
index 0000000000..766a1b56a6
--- /dev/null
+++ b/libraries/perl-xml-libxml-common/README
@@ -0,0 +1,3 @@
+XML::LibXML::Common
+
+Routines and Constants common for XML::LibXML and XML::GDOME
diff --git a/libraries/perl-xml-libxml-common/perl-xml-libxml-common.SlackBuild b/libraries/perl-xml-libxml-common/perl-xml-libxml-common.SlackBuild
new file mode 100644
index 0000000000..89eb4dfb48
--- /dev/null
+++ b/libraries/perl-xml-libxml-common/perl-xml-libxml-common.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for perl-xml-namespacesupport
+
+# Written by Murat D. Kadirov <banderols@gmail.com>
+# Modified by SlackBuils.org
+
+PRGNAM=perl-xml-libxml-common
+SRCNAM=XML-LibXML-Common
+VERSION=0.13
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="Changes README LICENSE"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $SRCNAM-$VERSION
+tar -xzvf $CWD/$SRCNAM-$VERSION.tar.gz || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+perl Makefile.PL || exit 1
+make || exit 1
+make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man3/* 2> /dev/null
+
+# Remove perlocal.pod and .packlist from $PKG
+( cd $PKG
+ find . -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/perl-xml-libxml-common/perl-xml-libxml-common.info b/libraries/perl-xml-libxml-common/perl-xml-libxml-common.info
new file mode 100644
index 0000000000..2e4b1a9bd5
--- /dev/null
+++ b/libraries/perl-xml-libxml-common/perl-xml-libxml-common.info
@@ -0,0 +1,8 @@
+PRGNAM="perl-xml-libxml-common"
+VERSION="0.13"
+HOMEPAGE="http://search.cpan.org/~phish/XML-LibXML-Common-0.13/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PH/PHISH/XML-LibXML-Common-0.13.tar.gz"
+MD5SUM="13b6d93f53375d15fd11922216249659"
+MAINTAINER="Murat D. Kadirov"
+EMAIL="banderols@gmail.com"
+APPROVED="dsomero"
diff --git a/libraries/perl-xml-libxml-common/slack-desc b/libraries/perl-xml-libxml-common/slack-desc
new file mode 100644
index 0000000000..913e872425
--- /dev/null
+++ b/libraries/perl-xml-libxml-common/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------|
+perl-xml-libxml-common: XML::LibXML::Common (perl module)
+perl-xml-libxml-common:
+perl-xml-libxml-common: Routines and Constants common for XML::LibXML and
+perl-xml-libxml-common: XML::GDOME
+perl-xml-libxml-common:
+perl-xml-libxml-common:
+perl-xml-libxml-common:
+perl-xml-libxml-common:
+perl-xml-libxml-common:
+perl-xml-libxml-common:
+perl-xml-libxml-common: